+++
title = "About"
[extra]
notoc = true
+++

This is my personal website mainly used for technical articles about problems and projects I am working on.

It is generated to static HTML via [Zola](https://www.getzola.org/).

## Contact me

- [em@0x45.cz](mailto:em@0x45.cz)
- [@irungentoo](https://t.me/irungentoo) on Telegram
- PGP: [0x453A7AE1754BFED2](https://keys.openpgp.org/vks/v1/by-fingerprint/3B08B7B5F00CCB0370EE3E71453A7AE1754BFED2)

## Work

My primary employment is at [SUSE](https://www.suse.com) as a security QA engineer. I also work (or have worked) as a teacher at several Prague schools, mainly at [Gymnázium Jana Keplera](https://gjk.cz/).

## Education

Both of my degrees have been obtained from the Faculty of Education at Charles University in Prague, specializing in computer science and education.

My Bachelor's thesis explores static website generators and includes a reference implementation using Zola.

- [Bachelor's Thesis Text](https://dspace.cuni.cz/bitstream/handle/20.500.11956/152842/130279410.pdf)
- [Defense Results](https://dspace.cuni.cz/handle/20.500.11956/152842)

Master's thesis focuses on implementing a custom ESP32 development board expandable by custom extension boards, along with a set educational materials which can be applied when teaching embedded programing. Both source files and educational materials can be found at [capyboard.dev](https://capyboard.dev) or at [my GitHub profile](https://github.com/realcharmer).

- [Master's Thesis Text](https://dspace.cuni.cz/bitstream/handle/20.500.11956/196503/120496276.pdf)
- [Defense Results](https://dspace.cuni.cz/handle/20.500.11956/196503)

## Projects

Some of my project are published directly at this website or in Git:

- [git.0x45.cz/em](https://git.0x45.cz/em)
- [git.microlab.space/em](https://git.microlab.space/em)
- [github.com/realcharmer](https://github.com/realcharmer)

Many of my projects and activities can also be found at [microlab.space](https://microlab.space), which is a student group at our university (founded by me in 2018) focused on all kinds of technology related projects and research.

## Public speaking

These are all existing recordings of some of my talks and presentations, most of which happened at [InstallFest](https://installfest.cz/if22/) and [LinuxDays](https://www.linuxdays.cz/2021/) in Prague, though all of them are only in Czech. Some are very old and the quality is far from good.

- [Instalace FHD IPS displeje na ThinkPad X230](https://www.youtube.com/watch?v=oLWDE_mxJP0)
- [>install gentoo](https://www.youtube.com/watch?v=KC_QrgJ8mBo)
- [Proč si nepamatovat hesla a co jsou to password managery](https://www.youtube.com/watch?v=jlUO3fXQzQY)
- [Základy šifrování s GnuPG](https://www.youtube.com/watch?v=uEGvy0od8nM)
- [Modifikace strojů ThinkPad T430 a X230](https://www.youtube.com/watch?v=60o5ZVQCPcw)
- [Jak si vyrobit použitelný laptop -- Modifikace ThinkPadů X230 a T430](https://www.youtube.com/watch?v=R_SXGbItqbI)
- [Cesta z pekla -- Instalujeme vlastní BIOS na ThinkPad x230](https://www.youtube.com/watch?v=03G4MchxqYA)
- [PGP Key Signing Party](https://www.youtube.com/watch?v=rDMCPtjPuGo)
- [RGB Mixer](https://ftp.microlab.space/prednasky/rgb-mixer.mp4)
